Subject: Bug#1091 closed by Mihai Moldovan <[email-masked]> (Re: [X2Go-Dev] 'Xset: Unable to open display' prevents connection)

From: [email-masked] (X2Go Bug Tracking System)
Date: Thu, 10 Nov 2016 15:00:02 +0000

This is an automatic notification regarding your Bug report
which was filed against the x2goserver package:

#1091: 'Xset: Unable to open display' prevents connection

It has been closed by Mihai Moldovan <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Mihai Moldovan <[email-masked]> by
replying to this email.

-- 
1091: http://bugs.x2go.org/cgi-bin/bugreport.cgi?bug=1091
X2Go Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [X2Go-Dev] 'Xset: Unable to open display' prevents connection
From: Mihai Moldovan <[email-masked]>
To: Sandro <[email-masked]>, [email-masked]
Date: Thu, 10 Nov 2016 15:55:23 +0100

Control: close -1
Control: tag -1 not-a-bug

On 20.09.2016 01:29 AM, Sandro wrote:
> Connection failed. xset: unable to open display "" 
> http://i.imgur.com/Z6yQb4R.png
> 
> This sounds like one of those xorg errors you get when doing x stuff while not
> logged into a virtual terminal, but in the case of x2go, I use the magic but
> don't know how it works, so I have no idea where to start looking.

You very likely call "xset" in your shell startup scripts. Newer X2Go Client
versions started calling bash as a login shell, which implies executing scripts
like ~/.profile, ~/.bash_profile, ~/.bashrc and the like. If you have anything
in there that outputs to stderr, X2Go Client will abort the connection.

Because the first connection logically won't have a valid DISPLAY variable set -
after all, the client has to spawn x2goagent first - the "xset" call will fail
and the session terminate abnormally.

Please fix your shell startup scripts.

Marking this bug as not-a-bug and closing.

> Client machine:
>     Linux Mint 18 (AKA Ubuntu 16.04)
>     x2goclient 4.0.5.1-1
>     pyhoca-gui 0.5.0.4-1*
>     pyhoca-cli 0.5.0.2-1*
> Server:
>     Debian Testing
>     x2go-server 4.0.1.19-0x2go2+git20160621.1064+stretch.main.1
>     x2goserver-xsession 4.0.1.19-0x2go2+git20160621.1064+stretch.main.1
>     nxagent 2:3.5.0.32-0x2go1+git20160614.734+stretch.main.1
> 
> *) Never heard of there. I don't think I ever installed them. I figured I didn't
> have them installed before so I installed them now. Didn't fix my problem though.

PyHoca is another client for X2Go, like X2Go Client. You don't need it, but
chances are you wouldn't have hit that problem with it because it connects and
executes commands differently than X2Go Client.

Mihai

Subject: 'Xset: Unable to open display' prevents connection
From: Sandro <[email-masked]>
To: [email-masked]
Date: Mon, 19 Sep 2016 23:29:16 +0000

Package: x2goserver
Version: 4.0.1.19

I have a Linux Mint 18 x2go client and a Debian Testing x2go server. And I
update both at random intervals.
Things just worked for ages. I think I went from Linux Mint 15 to 18.
Debian is also really uptodate.

Then at one moment - I don't exactly know when because I don't use x2go
daily - I started getting this error message.

Connection failed. xset: unable to open display ""
http://i.imgur.com/Z6yQb4R.png

This sounds like one of those xorg errors you get when doing x stuff while
not logged into a virtual terminal, but in the case of x2go, I use the
magic but don't know how it works, so I have no idea where to start looking.

Client machine:
    Linux Mint 18 (AKA Ubuntu 16.04)
    x2goclient 4.0.5.1-1
    pyhoca-gui 0.5.0.4-1*
    pyhoca-cli 0.5.0.2-1*
Server:
    Debian Testing
    x2go-server 4.0.1.19-0x2go2+git20160621.1064+stretch.main.1
    x2goserver-xsession 4.0.1.19-0x2go2+git20160621.1064+stretch.main.1
    nxagent 2:3.5.0.32-0x2go1+git20160614.734+stretch.main.1

*) Never heard of there. I don't think I ever installed them. I figured I
didn't have them installed before so I installed them now. Didn't fix my
problem though.